clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::ConditionalEvaluation Class Reference

An object to manage conditionally-evaluated expressions. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| ConditionalEvaluation (CodeGenFunction &CGF)
void | begin (CodeGenFunction &CGF)
void | end (CodeGenFunction &CGF)
llvm::BasicBlock * | getStartingBlock () const
| Returns a block which will be executed prior to each evaluation of the conditional code. More...

## Detailed Description

An object to manage conditionally-evaluated expressions.

Definition at line 1017 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ ConditionalEvaluation()

clang::CodeGen::CodeGenFunction::ConditionalEvaluation::ConditionalEvaluation | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 1021 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ begin()

void clang::CodeGen::CodeGenFunction::ConditionalEvaluation::begin | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 1024 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitBranchOnBoolExpr(), clang::CodeGen::CodeGenFunction::EmitConditionalOperatorLValue(), clang::CodeGen::CGCUDARuntime::EmitCUDAKernelCallExpr(), clang::CodeGen::CodeGenFunction::EmitCXXNewExpr(), emitWritebackArg(), GetIntrinsic(), isBlockVarRef(), and isCheapEnoughToEvaluateUnconditionally().

## ◆ end()

void clang::CodeGen::CodeGenFunction::ConditionalEvaluation::end | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 1030 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitBranchOnBoolExpr(), clang::CodeGen::CodeGenFunction::EmitConditionalOperatorLValue(), clang::CodeGen::CGCUDARuntime::EmitCUDAKernelCallExpr(), emitWritebackArg(), GetIntrinsic(), isBlockVarRef(), and isCheapEnoughToEvaluateUnconditionally().

## ◆ getStartingBlock()

llvm::BasicBlock* clang::CodeGen::CodeGenFunction::ConditionalEvaluation::getStartingBlock | ( |  | ) | const
| inline

Returns a block which will be executed prior to each evaluation of the conditional code.

Definition at line 1038 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitMaterializeTemporaryExpr().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h